// tpipe.cc. Test for -*- C++ -*- socket library
// Copyright (C) 1992,1993 Gnanasekaran Swaminathan <gs4t@virginia.edu>
// 
// Permission is granted to use at your own risk and distribute this software
// in source and binary forms provided the above copyright
// notice and this paragraph are preserved on all copies.
// This software is provided "as is" with no express or implied warranty.
//
// Version: 07Nov93 1.5

#include <pipestream.h>


main(int ac, char** av)
{
	iopipestream p;

	if ( p.fork() ) {
		// I am the parent
		cout << "parent got: ";
		while (ac--) {
			char buf[32]="";
			
			p << ac << endl;
			p >> buf;
			cout << buf << ' ';
		}
		cout << endl;
		return 0;
	} else {
		// I am the child
		int i;
		cout << "child got: ";		 
		while (p >> i) {
			p << av[i] << endl;
			cout << i << ' ';

		}
		cout << endl;
		return 0;
	}
}

	
		
			
